org.apache.cassandra.cql3

## Class Tuples

- java.lang.Object
- - org.apache.cassandra.cql3.Tuples

    public class Tuples
    extends java.lang.Object

Static helper methods and classes for tuples.

### Nested Class Summary

Nested Classes
`static class` `Tuples.DelayedValue` Similar to Value, but contains at least one NonTerminal, such as a non-pure functions or bind marker.
`static class` `Tuples.InMarker` Represents a marker for a set of IN values that are tuples, like "SELECT ...
`static class` `Tuples.INRaw` A raw marker for an IN list of tuples, like "SELECT ...
`static class` `Tuples.InValue` A terminal value for a list of IN values that are tuples.
`static class` `Tuples.Literal` A raw, literal tuple.
`static class` `Tuples.Marker` {@code Represents a marker for a single tuple, like "SELECT ...
`static class` `Tuples.Raw` A raw placeholder for a tuple of values for different multiple columns, each of which may have a different type.
`static class` `Tuples.Value` A tuple of terminal values (e.g (123, 'abc')).

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkIfTupleType(AbstractType<?> tuple)`
`static ColumnSpecification` `componentSpecOf(ColumnSpecification column, int component)`
`static TupleType` `getTupleType(AbstractType<?> tuple)`
`static java.lang.String` `tupleToString(java.util.List<?> items)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### componentSpecOf

    public static ColumnSpecification componentSpecOf(ColumnSpecification column,
                                                      int component)

#### tupleToString

    public static java.lang.String tupleToString(java.util.List<?> items)

#### checkIfTupleType

    public static boolean checkIfTupleType(AbstractType<?> tuple)

#### getTupleType

    public static TupleType getTupleType(AbstractType<?> tuple)